#include <iostream>
#include <vector>


int main()
{
    int N, M;
    std::cin >> N >> M;

    std::vector<int> redovi(N);
    std::vector<int> kolone(M);

    int a;

    for(int i = 0; i < N; i++)
        std::cin >> a >> redovi[i];

    for(int i = 0; i < M; i++)
        std::cin >> a >> kolone[i];

    int brojKomada = 0;

    for(int i = 0; i < N; i++)
    {
        for(int j = 0; j < M; j++)
        {
            brojKomada += std::min(redovi[i], kolone[j]);
        }
    }

    /*for(int i = 0; i < N; i++)
    {
        for(int j = 0; j < M; j++)
        {
            std::cout << vec[i][j] << " ";
        }
        std::cout << "\n";
    }*/

    int brojPolja = N * M;

    std::cout << brojKomada << "\n" << brojPolja << "\n";

    for(int i = 0; i < N; i++)
    {
        for(int j = 0; j < M; j++)
        {
            if(std::min(redovi[i], kolone[j]) != 0)
                std::cout << i + 1 << " " << j + 1 << " " << std::min(redovi[i], kolone[j]) << "\n";
        }
    }
    
}